#include "orxonox_gui.h"

int main( int argc, char *argv[] )
  {
    gtk_init (&argc, &argv);
    Window* orxonoxGUI = new Window("Graphical Orxonox Launcher");
    orxonoxGUI->connectSignal (orxonoxGUI, "destroy", orxonox_gui_quit);
    orxonoxGUI->show ();

    gtk_main();
    return 0;
  }

Window::Window (void)
{
  widget = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_policy(GTK_WINDOW(widget), TRUE, TRUE, TRUE);
}

Window::Window (char* windowName)
{
  widget = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_policy(GTK_WINDOW(widget), TRUE, TRUE, TRUE);
  this->setTitle(windowName);
  //  g_signal_connect (G_OBJECT (widget), "delete_event", G_CALLBACK (gtk_main_quit), NULL);
  // g_signal_connect (G_OBJECT (widget), "destroy", G_CALLBACK (orxonox_gui_quit), orxonox_settings);
  // gtk_container_set_border_width (GTK_CONTAINER (widget), 5);
}

Window::~Window ()
{}

void Window::show ()
{
  gtk_widget_show_all  (widget);
}

void Window::setTitle (char* title)
{
  gtk_window_set_title (GTK_WINDOW (widget), title);
}

void Widget::connectSignal (Widget* thisWidget, char* event, gint ( *signal)( GtkWidget*, GdkEvent*, void *))
{
  g_signal_connect (G_OBJECT (thisWidget->widget), event, G_CALLBACK (signal), NULL);
}


gint orxonox_gui_quit ( GtkWidget *widget, GdkEvent *event, gpointer data)
{
  gtk_main_quit();
  return FALSE;
}
