#ifndef _ORXONOX_GUI_H
#define _ORXONOX_GUI_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>


class Widget
{
 private:

  Widget* next;
  

 public:
  GtkWidget* widget;
  //virtual void create ();
  virtual void show () = 0;
  //  void addWidget ();
  static void connectSignal (Widget* thisWidget, char* event, gint (*signal)(GtkWidget*, GdkEvent*,  void *));
};



class Container : public Widget
{
 private:
  int borderwidth;
  int policy;
  char* label;
  Widget* down;
  
 public:
  void setBorderWidth (int borderwidth);
  virtual void setTitle (char* title) = 0;
};

class Window : public Container
{
 private:

  

 public:
  Window (char* windowName);
  Window (void);
  ~Window ();
  void setTitle (char* title);
  void show ();

};

class Box : public Widget
{

};

gint orxonox_gui_quit ( GtkWidget *widget, GdkEvent *event, gpointer data);

#endif /* _ORXONOX_GUI_H */
